import request from '@/utils/request'
import state from '@/store'
import router from '@/router'
import axios from 'axios'

// 初始化日历
export function initClendar(year, month) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_工作日历_获得状态',
      param: '工作年=' + year + '&工作月=' + month
    }
  })
}

// 修改工作状态
export function changeState(time, code) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_基础表_工作日历_设置状态',
      param: '工作日期=' + time + '&工作日状态=' + code
    }
  })
}

export function getLine() {
  return axios.post(window.dt_Config.getLineIp + '/submit/QualityData_NormalDistribution.ashx?type=GetBaseTrendData')
}
